Name: idesk
Version: 0.3.5
Release: alt3
Serial: 1

Summary: Icon manager with support for PNG icons and antialiased text
Summary(ru_RU.KOI8-R):     PNG    
License: BSD License
Group: Graphical desktop/Other
Url: http://freshmeat.net/projects/%name/
Packager: Anton V. Denisov <avd@altlinux.ru>

Source0: %name-%version.tar.bz2
Source1: %name.menu
Source2: EXAMPLE.ideskrc
Source3: EXAMPLE.iconfile
Source4: README.ALT.ru_RU.KOI8-R
Source5: README.ALT.ru_RU.CP1251

Patch0: %name-0.3.5-alt-src-clickinterval.patch
Patch1: %name-0.3.5-alt-src-shutdown.patch
Patch2: %name-0.3.5-alt-xft2.patch
Patch3: %name-0.3.5-alt-include.patch

# Automatically added by buildreq on Thu Nov 21 2002
BuildRequires: XFree86-devel fontconfig-devel freetype2-devel gcc-c++ imlib-devel libXft-devel libexpat libjpeg-devel libpng-devel libstdc++-devel libtiff-devel libungif-devel zlib-devel

%description
%name plops icons down on your root window (desktop).
It includes support for PNG alpha layers, and pretty antialiased text with Xft.
..
NOTE: Look to README.ALT file for description of usage.

%description -l ru_RU.KOI8-R
%name       ().
  PNG        
 Xft.
..
:    README.ALT   .

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1
%patch3 -p1

%__cp %SOURCE2 EXAMPLE.ideskrc
%__cp %SOURCE3 EXAMPLE.iconfile
%__cp %SOURCE4 README.ALT.ru_RU.KOI8-R
%__cp %SOURCE5 README.ALT.ru_RU.CP1251

%build
%make_build

%install
%__mkdir_p $RPM_BUILD_ROOT%_x11bindir
%__install -pD -m 755 %name $RPM_BUILD_ROOT%_x11bindir/%name
%__install -pD -m 644 %SOURCE1 $RPM_BUILD_ROOT%_menudir/%name

%post
%update_menus

%postun
%clean_menus

%files
%doc README EXAMPLE.* README.ALT.*
%_x11bindir/%name
%_menudir/%name

%changelog
* Fri Dec 06 2002 Anton V. Denisov <avd@altlinux.ru> 1:0.3.5-alt3
- %name-0.3.5-alt-src-clickinterval.patch fixed (hope now it work
	like must).
- %name-0.3.5-alt-xft2.patch improved (now we use optimization
	flags from rpm).
- Serial:1 added.
- BuildRequires updated for current Sisyphus (thanks to AEN).

* Thu Nov 21 2002 AEN <aen@altlinux.ru> 0.3.5-alt2
- Patch2 for libXft2 support added
- Patch3 -- compile fix

* Thu Nov 21 2002 Anton V. Denisov <avd@altlinux.ru> 0.3.5-alt1
- New version 0.3.5.
- README.ALT updated, renamed and converted into CP1251 too.
- Patches regenerated for new version.
- EXAMPLE.iconfile added.
- Summary and description translated to Russian.
- Url fixed.
- BuildRequires updated.

* Fri Sep 20 2002 Anton V. Denisov <avd@altlinux.ru> 0.22-alt2
- README.ALT added (description of our patches).
- %name-0.22-alt-src-shutdown.patch added (doubleclick of 3rd
mouse button now shutdown idesk).

* Tue Sep 17 2002 Anton V. Denisov <avd@altlinux.ru> 0.22-alt1
- Initial release for Sisyphus.

